Bug 1107340 - [abrt] libreoffice-core: GetFamily(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: GetFamily(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:447b5aa1033f688967855924dc0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 00:19 UTC by Christopher Heiny
Modified: 2014-06-19 23:02 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.1.6.2-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-19 23:02:02 UTC


Attachments (Terms of Use)
File: backtrace (81.57 KB, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: cgroup (154 bytes, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: core_backtrace (29.92 KB, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: dso_list (35.19 KB, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: environ (3.33 KB, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: exploitable (82 bytes, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: limits (1.29 KB, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: maps (156.52 KB, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: open_fds (742 bytes, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: proc_pid_status (953 bytes, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details
File: var_log_messages (355 bytes, text/plain)
2014-06-10 00:19 UTC, Christopher Heiny
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 71423 None None None Never

Description Christopher Heiny 2014-06-10 00:19:05 UTC
Description of problem:
This happens very very frequently while editing tables in a presentation.  I haven't noticed a particular pattern to the crash, however it should be very easy to reproduce.

Version-Release number of selected component:
libreoffice-core-4.1.6.2-2.fc19

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///var/tmp/HISD-FW-Branches.xlsx --splash-pipe=5
crash_function: GetFamily
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.11-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GetFamily at /usr/src/debug/libreoffice-4.1.6.2/include/sfx2/styfitem.hxx:55
 #1 SfxCommonTemplateDialog_Impl::FillTreeBox at /usr/src/debug/libreoffice-4.1.6.2/sfx2/source/dialog/templdlg.cxx:1250
 #2 SfxCommonTemplateDialog_Impl::TimeOut at /usr/src/debug/libreoffice-4.1.6.2/sfx2/source/dialog/templdlg.cxx:1617
 #3 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-4.1.6.2/vcl/source/app/timer.cxx:133
 #4 QMetaObject::activate at kernel/qobject.cpp:3547
 #5 QObject::event at kernel/qobject.cpp:1156
 #6 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4562
 #7 QApplication::notify at kernel/qapplication.cpp:4348
 #8 KApplication::notify at /usr/src/debug/kdelibs-4.11.5/kdeui/kernel/kapplication.cpp:311
 #9 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949

Comment 1 Christopher Heiny 2014-06-10 00:19:11 UTC
Created attachment 906667 [details]
File: backtrace

Comment 2 Christopher Heiny 2014-06-10 00:19:11 UTC
Created attachment 906668 [details]
File: cgroup

Comment 3 Christopher Heiny 2014-06-10 00:19:12 UTC
Created attachment 906669 [details]
File: core_backtrace

Comment 4 Christopher Heiny 2014-06-10 00:19:13 UTC
Created attachment 906670 [details]
File: dso_list

Comment 5 Christopher Heiny 2014-06-10 00:19:14 UTC
Created attachment 906671 [details]
File: environ

Comment 6 Christopher Heiny 2014-06-10 00:19:16 UTC
Created attachment 906672 [details]
File: exploitable

Comment 7 Christopher Heiny 2014-06-10 00:19:16 UTC
Created attachment 906673 [details]
File: limits

Comment 8 Christopher Heiny 2014-06-10 00:19:17 UTC
Created attachment 906674 [details]
File: maps

Comment 9 Christopher Heiny 2014-06-10 00:19:18 UTC
Created attachment 906675 [details]
File: open_fds

Comment 10 Christopher Heiny 2014-06-10 00:19:18 UTC
Created attachment 906676 [details]
File: proc_pid_status

Comment 11 Christopher Heiny 2014-06-10 00:19:19 UTC
Created attachment 906677 [details]
File: var_log_messages

Comment 12 David Tardon 2014-06-10 16:14:08 UTC
(In reply to Christopher Heiny from comment #0)
> Description of problem:
> This happens very very frequently while editing tables in a presentation.  I

What kind of editing do you mean? Inserting text into cells? Changing character or paragraph style of cells? Changing table style? Resizing/inserting/removing columns/rows?

> haven't noticed a particular pattern to the crash, however it should be very
> easy to reproduce.

It apparently is not, since you are the only one to report it.

Comment 13 Christopher Heiny 2014-06-10 16:48:41 UTC
(In reply to David Tardon from comment #12)
> (In reply to Christopher Heiny from comment #0)
> > Description of problem:
> > This happens very very frequently while editing tables in a presentation.  I
> 
> What kind of editing do you mean? Inserting text into cells? Changing
> character or paragraph style of cells? Changing table style?
> Resizing/inserting/removing columns/rows?

Pretty much any of the above.  Even clicking in a cell is sometimes fatal.


> > haven't noticed a particular pattern to the crash, however it should be very
> > easy to reproduce.
> 
> It apparently is not, since you are the only one to report it.

Hmmm.  I'm able to reproduce it, not exactly at will, but certainly with great frequency against my will. :-)

In any case, let me know what additional information might help resolve this.  Screen caps?  Sample docs?  Core files?

Thanks!
Chris

Comment 14 Caolan McNamara 2014-06-11 10:01:34 UTC
I think I know what this one is. Its having the styles and formatting window open in impress I believe

Comment 15 Caolan McNamara 2014-06-11 10:04:40 UTC
Lets try that, will build as libreoffice-4.1.6.2-5.fc19

Comment 16 Fedora Update System 2014-06-11 14:54:30 UTC
libreoffice-4.1.6.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.6.2-6.fc19

Comment 17 Christopher Heiny 2014-06-11 18:24:41 UTC
(In reply to Caolan McNamara from comment #14)
> I think I know what this one is. Its having the styles and formatting window
> open in impress I believe

You might be right.  Based on that comment, I closed styles and formatting, and things seem much more stable so far this morning.

In any case, it looks like you're well ahead of me.  Thanks for the fast response!

Comment 18 Fedora Update System 2014-06-12 06:29:20 UTC
Package libreoffice-4.1.6.2-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.6.2-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7308/libreoffice-4.1.6.2-6.fc19
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-06-19 23:02:02 UTC
libreoffice-4.1.6.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.